<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\Kursvorschlag;

class KursvorschlagPresenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getView()
  {
    return new KursvorschlagView($this->getViewModel());
  }

  protected function getViewModel()
  {
    return new KursvorschlagViewModel();
  }

  protected function getJsFilesSrcAryWeitere()
  {
    return array(
      $this->getJsFileFromSys('kontaktformular.js')
    );
  }
}